Bug 11298 - Renewal due date won't take specified time into account
Summary: Renewal due date won't take specified time into account
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11703
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-25 16:28 UTC by Katrin Fischer
Modified: 2016-06-21 21:38 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11298: Don't force the renew time to 23:59 (1015 bytes, patch)
2015-08-04 15:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
renewal due date (301.47 KB, image/png)
2015-10-08 12:35 UTC, Marjorie Barry-Vila
Details
Bug 11298: Don't force the renew time to 23:59 (1.17 KB, patch)
2015-10-12 14:51 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 11298: Don't force the renew time to 23:59 (1.23 KB, patch)
2015-10-18 12:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-11-25 16:28:10 UTC
To reproduce:

- Check out an item that is renewable
- Renew setting a manual renwal due date, change the time from 23:59 
  to something else
- Renew
- Verify that the time is set to 23:59 instead of your chosen time
Comment 1 Jonathan Druart 2015-04-23 15:50:21 UTC
It seems to be fixed, please reopen if I am wrong.
Comment 2 Katrin Fischer 2015-07-28 22:33:41 UTC
Sorry, but this still appears to be an issue for me - retested in current master.

My renewal date shows as 07/31/2015 10:59, but the renewal is only made to 07/31/2015 23:59. The time is not taken into account.
Comment 3 Jonathan Druart 2015-08-04 15:35:43 UTC Comment hidden (obsolete)
Comment 4 Marjorie Barry-Vila 2015-10-07 15:01:23 UTC
Hi,
I tested it on a sand box and I do not have good results. The commands fails and nothing happens.
See video here https://owncloud.ccsr.qc.ca/index.php/s/jxTIuf3cq0cl5j9/download

Regards

Marjorie
Comment 5 Jonathan Druart 2015-10-08 07:13:45 UTC
Sorry Marjorie but I don't manage to watch the video, vlc simply displays an image, nothing moves.
Could you please describe the problem?
Comment 6 Marjorie Barry-Vila 2015-10-08 12:34:58 UTC
(In reply to Jonathan Druart from comment #5)
> Sorry Marjorie but I don't manage to watch the video, vlc simply displays an
> image, nothing moves.
> Could you please describe the problem?

Hi Jonathan,

When i choose a renewal due date, it just hang forever, nothing happens.

See capture attached.

Regards,

Marjorie
Comment 7 Marjorie Barry-Vila 2015-10-08 12:35:48 UTC
Created attachment 43254 [details]
renewal due date
Comment 8 Jonathan Druart 2015-10-08 13:37:30 UTC
Could you check the log file?
Looks good here.
Comment 9 Marjorie Barry-Vila 2015-10-08 15:24:19 UTC
(In reply to Jonathan Druart from comment #8)
> Could you check the log file?
> Looks good here.

Sorry Jonathan, I tested it again and it do not work.

I don't know if you want logs of action_logs or logs of browser?

I tested it with Firefox 41.0.1 and Chrome 45 and it's the same, i have an error in console like:
Uncaught SynthaxError : Unexpected token   circulation.pl:180

Marjorie
Comment 10 Jonathan Druart 2015-10-09 10:33:12 UTC
(In reply to Marjorie Barry-Vila from comment #9)
> (In reply to Jonathan Druart from comment #8)
> > Could you check the log file?
> > Looks good here.
> 
> Sorry Jonathan, I tested it again and it do not work.
> 
> I don't know if you want logs of action_logs or logs of browser?
> 
> I tested it with Firefox 41.0.1 and Chrome 45 and it's the same, i have an
> error in console like:
> Uncaught SynthaxError : Unexpected token   circulation.pl:180
> 
> Marjorie

I was asking for the Koha log file, on the server.
Could you confirm you don't get this error without the patch and that your pref  IntranetUserJS is empty?
Comment 11 Marjorie Barry-Vila 2015-10-09 14:32:02 UTC
(In reply to Jonathan Druart from comment #10)
> (In reply to Marjorie Barry-Vila from comment #9)
> > (In reply to Jonathan Druart from comment #8)
> > > Could you check the log file?
> > > Looks good here.
> > 
> > Sorry Jonathan, I tested it again and it do not work.
> > 
> > I don't know if you want logs of action_logs or logs of browser?
> > 
> > I tested it with Firefox 41.0.1 and Chrome 45 and it's the same, i have an
> > error in console like:
> > Uncaught SynthaxError : Unexpected token   circulation.pl:180
> > 
> > Marjorie
> 
> I was asking for the Koha log file, on the server.
> Could you confirm you don't get this error without the patch and that your
> pref  IntranetUserJS is empty?

I don't know how see koha log file on the server, action_logs?
In my version 3.18.04, when I make a renewal, it works and I have no error in console but hour of date is not considered.
Sorry.
Maybe someone else can test on a sandbox? The problem may come from me.

Regards,
Marjorie
Comment 12 Marc Véron 2015-10-12 14:51:49 UTC Comment hidden (obsolete)
Comment 13 Marc Véron 2015-10-12 14:53:58 UTC
Note: I tested on current master (3.21.00.034)
Comment 14 Katrin Fischer 2015-10-18 12:08:27 UTC
Created attachment 43569 [details] [review]
[PASSED QA] Bug 11298: Don't force the renew time to 23:59

If you try to renew an item using the "Renewal due date" at the bottom
of the checkouts table, the time will be hardcoded to 23:59 no matter
what the user has chosen.

Test plan:
Check an item out to a patron
renew the item and specify a due date using the datetime picker plugin
at the bottom of the table
Confirm the time you have chosen is correctly used.

Followed test plan. It works as advertised.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Tomás Cohen Arazi 2015-10-19 14:55:47 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 16 Chris Cormack 2015-10-24 08:02:12 UTC
Pushed to 3.20.x will be in 3.20.5
Comment 17 Liz Rea 2015-11-02 21:13:30 UTC
Pushed to 3.18.x, is in 3.18.12.